> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Voice Call Audio

> Initiate a voice call that plays a pre-recorded audio file from a URL.

Use this when you have an audio file hosted at a public URL (e.g. MP3, WAV).
The recipient will hear the audio when they answer.

Headers:
    X-API-Key: Required — Your API key for authentication.



## OpenAPI

````yaml /openapi.json post /v1/voice/calls/audio
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/voice/calls/audio:
    post:
      tags:
        - Karibu-Voice
      summary: Voice Call Audio
      description: >-
        Initiate a voice call that plays a pre-recorded audio file from a URL.


        Use this when you have an audio file hosted at a public URL (e.g. MP3,
        WAV).

        The recipient will hear the audio when they answer.


        Headers:
            X-API-Key: Required — Your API key for authentication.
      operationId: voice_call_audio_v1_voice_calls_audio_post
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceCallAudioRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VoiceCallAudioRequest:
      properties:
        receiver_number:
          type: string
          title: Receiver Number
          description: E.164 or national number to call (e.g. 255788344348).
          examples:
            - '255788344348'
        audio_url:
          type: string
          title: Audio Url
          description: Public URL of the audio file to play (e.g. MP3, WAV).
          examples:
            - https://example.com/announcement.mp3
      type: object
      required:
        - receiver_number
        - audio_url
      title: VoiceCallAudioRequest
      description: >-
        Request to place a voice call that plays a pre-recorded audio file from
        a URL.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````